/*
 * Created on Sep 16, 2005
 * 
 * FormBean is used to build both actionforms and beans.
 */
package com.ibm.jps.uxtoweb.metamodel;

import java.util.List;

import org.eclipse.uml2.uml.Class;

import com.ibm.jps.uxtoweb.utility.JavaUtil;

/**
 * @author jpschoch
 */
public class Bean {
    private String qualifiedName = null;
    private String mappedToTable = null;
    private List fields = null;
    private List methods = null;
    private List dependencies = null;
    // The original UML <<bean>> class 
    private Class umlClass = null;

    // TODO add scope; probably need to revisit ActionMapping as well (it
    // duplicates action data + form data instead of using Action.java and
    // Form.java (ou Bean.java))

    /**
     * @param name
     * @param qualifiedName
     */
    public Bean(String qualifiedName) {
        super();
        this.qualifiedName = qualifiedName;
    }

    /**
     * @return Returns the name.
     */
    public String getName() {
        return JavaUtil.getSimpleName(qualifiedName);
    }

    /**
     * @return Returns the type.
     */
    public String getQualifiedName() {
        return qualifiedName;
    }

    /**
     * @param type
     *            The type to set.
     */
    public void setQualifiedName(String type) {
        this.qualifiedName = type;
    }

    /**
     * @return Returns the fields.
     */
    public List getFields() {
        return fields;
    }

    /**
     * @param fields
     *            The fields to set.
     */
    public void setFields(List fields) {
        this.fields = fields;
    }
    public List getMethods() {
        return methods;
    }
    public void setMethods(List methods) {
        this.methods = methods;
    }
    public List getDependencies() {
        return dependencies;
    }
    public void setDependencies(List dependencies) {
        this.dependencies = dependencies;
    }
    public String getMappedToTable() {
        return mappedToTable;
    }
    public void setMappedToTable(String mappedToTable) {
        this.mappedToTable = mappedToTable;
    }
    public Class getUmlClass() {
        return umlClass;
    }
    public void setUmlClass(Class umlClass) {
        this.umlClass = umlClass;
    }
}
