/*
 * Created on Sep 13, 2005
 */
package com.ibm.jps.uxtoweb.metamodel;

import java.util.List;

/**
 * @author jpschoch
 */
public class Jsp {
    // The title of the page as it appears to the user. Defaults to the class name (e.g. Logon).
    private String title = null;
    // The name of the JSP: for a <<screen>> class named 'Logon', it would be equal to "logon".
    private String name = null;
    // inputFields: to complete
    private List inputFields = null;
    // links: to complete
    private List links = null;
    // displayFields: to complete
    private List displayFields = null;
    // User actions
    private List actions = null;
    // Global forwards. Correspond to all associations named '[condition]', with condition equal to
    // "success", "failure", etc.
    private List globalForwards = null;
    // Scripting variables
    private List<String> scriptVar = null;
    // Items to display as a list (currently only one list per JSP supported)
    private ItemList list = null;
    // Java Source path - corresponds to the sequence of parent packages. For instance, if a class A
    // is located in the UML package 'test', itself in the package 'com.ibm.jps' in the model
    // 'MyModel', the qualified name of the class is 'MyModel::com.ibm.jps::test::A' and its source path
    // is 'com.ibm.jps.test'.
    private String srcPath = null;
    // logo: to complete
    private Image logo = null;
    // db
    private DataBase dataBase = null;
    // appName: to complete
    private String appName = "";
    // Original qualified name
    private String originalQualifiedName = "";
    
    /**
     * <code>heading</code> is used in the JSP Page to insert an HTML <Hn>... </Hn> construct.
     */
    private String heading = null;
    /**
     * <code>headingLevel</code> is used with <code>heading</code> to insert an HTML <Hn>...
     * </Hn> construct.
     */
    private String headingLevel;

    /**
     * @return Returns the title.
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title
     *            The title to set.
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * @return Returns the inputFields.
     */
    public List getInputFields() {
        return inputFields;
    }

    /**
     * @param inputFields
     *            The inputFields to set.
     */
    public void setInputFields(List inputFields) {
        this.inputFields = inputFields;
    }

    /**
     * @return Returns the links.
     */
    public List getLinks() {
        return links;
    }

    /**
     * @param links
     *            The links to set.
     */
    public void setLinks(List links) {
        this.links = links;
    }

    /**
     * @return Returns the displayFields.
     */
    public List getDisplayFields() {
        return displayFields;
    }

    /**
     * @param displayFields
     *            The displayFields to set.
     */
    public void setDisplayFields(List displayFields) {
        this.displayFields = displayFields;
    }

    /**
     * @return Returns the fileName.
     */
    public String getName() {
        return name;
    }

    /**
     * @param fileName
     *            The fileName to set.
     */
    public void setName(String fileName) {
        this.name = fileName;
    }

    /**
     * @return Returns the appName.
     */
    public String getAppName() {
        return appName;
    }

    /**
     * @param appName
     *            The appName to set.
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * @return Returns the logo.
     */
    public Image getLogo() {
        return logo;
    }

    /**
     * @param logo
     *            The logo to set.
     */
    public void setLogo(Image logo) {
        this.logo = logo;
    }

    public List getActions() {
        return actions;
    }

    public void setActions(List actions) {
        this.actions = actions;
    }

    public List getGlobalForwards() {
        return globalForwards;
    }

    public void setGlobalForwards(List globalForwards) {
        this.globalForwards = globalForwards;
    }

    public String getHeading() {
        return heading;
    }

    public void setHeading(String heading) {
        this.heading = heading;
    }

    public String getHeadingLevel() {
        return headingLevel;
    }

    public void setHeadingLevel(String headingLevel) {
        this.headingLevel = headingLevel;
    }

    public ItemList getList() {
        return list;
    }

    public void setList(ItemList list) {
        this.list = list;
    }

    public String getSrcPath() {
        return srcPath;
    }

    public void setSrcPath(String srcPath) {
        this.srcPath = srcPath;
    }
    public List<String> getScriptVar() {
        return scriptVar;
    }
    public void setScriptVar(List<String> scriptVar) {
        this.scriptVar = scriptVar;
    }
    public String getOriginalQualifiedName() {
        return originalQualifiedName;
    }
    public void setOriginalQualifiedName(String originalQualifiedName) {
        this.originalQualifiedName = originalQualifiedName;
    }
    public DataBase getDataBase() {
        return dataBase;
    }
    public void setDataBase(DataBase dataBase) {
        this.dataBase = dataBase;
    }
}
