/*
 * Created on Sep 8, 2005
 */
package com.ibm.jps.uxtoweb.transformation;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.uml2.uml.UMLPackage;

import com.ibm.jps.uxtoweb.transformation.rules.ExtractionRule;
import com.ibm.jps.uxtoweb.transformation.rules.CodeGenRule;
import com.ibm.xtools.transform.core.ITransformationDescriptor;
import com.ibm.xtools.uml.transform.core.UMLKindTransform;

/**
 * @author jpschoch
 * 
 * A transform that accepts a UML model as source and converts it into a Struts or JSF application.
 */
public class UXToWebTransform extends UMLKindTransform {

    /**
     * @param descriptor
     */
    public UXToWebTransform(ITransformationDescriptor descriptor) {
        super(descriptor);
        initializeTransform();
    }

    /**
     * @param id
     */
    public UXToWebTransform(String id) {
        super(id);
        initializeTransform();
    }

    /**
     *  
     */
    private void initializeTransform() {
		EClass modelKind = UMLPackage.eINSTANCE.getModel();

		// The rules are executed in the order in which they are added
		addByKind(modelKind, new ExtractionRule());
		addByKind(modelKind, new CodeGenRule());
    }
}
